/**
     *\file movingSelector.h
     *
     *\brief 用来实现图元移动的selector
     *
     *\author dsc
     */

#ifndef MOVINGSELECTOR_H
#define MOVINGSELECTOR_H

#include "baseSelector.h"

class MovingSelector : public BaseSelector
{
    Q_OBJECT

public:
    explicit MovingSelector(QObject *parent = 0);
    virtual ~MovingSelector();

public:
    void mousePressEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseMoveEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent*, DesignerScene*);

};

#endif
